timsdata.cpp File Reference

main Tims data handler More...

`#include "timsdata.h"`
`#include "../../exception/exceptionnotfound.h"`
`#include "../../exception/exceptioninterrupted.h"`
`#include "../../processing/combiners/tracepluscombiner.h"`
`#include "../../processing/filters/filtertriangle.h"`
`#include "../../processing/filters/filterpass.h"`
`#include "../../processing/filters/filtersuitestring.h"`
`#include "./xicextractor/timsdirectxicextractor.h"`
`#include <QDebug>`
`#include <solvers.h>`
`#include <QSqlError>`
`#include <QSqlQuery>`
`#include <QSqlRecord>`
`#include <QMutexLocker>`
`#include <QThread>`
`#include <set>`

Go to the source code of this file.

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Detailed Description

main Tims data handler

Date
  27/08/2019

Author
  Olivier Langella

Definition in file timsdata.cpp.